Create a new mDoc credential preset.
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/presets/credentials/mdoc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialFormat": "mdoc",
"code": "national-id",
"templateName": "National ID",
"templateDescription": "South African national identity document",
"type": "za.co.didx.national-id",
"templateAttributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
},
"dateOfBirth": {
"type": "date",
"name": "Date of Birth",
"required": true
}
}
}
},
"validUntil": {
"future": {
"days": 365
}
},
"issuerConfig": {
"signer": "certificate",
"keyType": "P-256"
}
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/presets/credentials/mdoc"
payload = {
"credentialFormat": "mdoc",
"code": "national-id",
"templateName": "National ID",
"templateDescription": "South African national identity document",
"type": "za.co.didx.national-id",
"templateAttributes": { "za.co.didx": { "properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": True
},
"dateOfBirth": {
"type": "date",
"name": "Date of Birth",
"required": True
}
} } },
"validUntil": { "future": { "days": 365 } },
"issuerConfig": {
"signer": "certificate",
"keyType": "P-256"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentialFormat: 'mdoc',
code: 'national-id',
templateName: 'National ID',
templateDescription: 'South African national identity document',
type: 'za.co.didx.national-id',
templateAttributes: {
'za.co.didx': {
properties: {
firstName: {type: 'string', name: 'First Name', required: true},
dateOfBirth: {type: 'date', name: 'Date of Birth', required: true}
}
}
},
validUntil: {future: {days: 365}},
issuerConfig: {signer: 'certificate', keyType: 'P-256'}
})
};
fetch('https://test.didxtech.com/me-creds/api/v1/presets/credentials/mdoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"credentialFormat": "mdoc",
"id": "didx:national-id",
"author": "didx",
"code": "national-id",
"templateName": "National ID",
"templateType": "za.co.didx.national-id",
"templateDescription": "South African national identity document",
"templateAttributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"validUntil": {
"future": {
"days": 365
}
},
"issuerConfig": {
"signer": "certificate",
"keyType": "P-256"
},
"namespace": "public",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Credential Presets API
Create a new mDoc credential preset (v1)
POST
/
v1
/
presets
/
credentials
/
mdoc
Create a new mDoc credential preset.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
mdoc Pattern:
^[a-z0-9-]+$Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"backgroundColor": "#0066CC",
"textColor": "#FFFFFF",
"backgroundImageUrl": "https://example.com/bg.png"
}
Available options:
public, private Response
200 - application/json
Created mDoc credential preset.
Show child attributes
Show child attributes
Example:
{
"credentialFormat": "mdoc",
"id": "didx:national-id",
"author": "didx",
"code": "national-id",
"templateName": "National ID",
"templateType": "za.co.didx.national-id",
"templateDescription": "South African national identity document",
"templateAttributes": {
"za.co.didx": {
"properties": {
"firstName": {
"type": "string",
"name": "First Name",
"required": true
}
}
}
},
"validUntil": { "future": { "days": 365 } },
"issuerConfig": {
"signer": "certificate",
"keyType": "P-256"
},
"namespace": "public",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

